# Neofetch 1.8

### Contributers

- **[@hashhar](https://github.com/hashhar)**
- **[@williamkray](https://github.com/williamkray)**
- **[@dar-irl](https://github.com/dar-irl)**
- **[@gabe565](https://github.com/gabe565)**
- **[@maddcoder](https://github.com/maddcoder)**
- **[@iandrewt](https://github.com/iandrewt)**
- **[@aranega](https://github.com/aranega)**
- **[@vendion](https://github.com/vendion)**
- **[@konimex](https://github.com/konimex)**

### General

- Moved all whitespace trimming to a dedicated function.
    - Neofetch will no longer have any whitespace issues in the output.
    - See [trim()](https://github.com/dylanaraps/neofetch/commit/d3c87cdaacf1ea9fbf245146c910dc53b49dba08#diff-e863270127ca6116fd30e708cdc582fcR2789)
- Only call `tput` when we really need to.
- Supress `getconfig` and `getscriptdir` errors.
- Fix issue when title and background were both color `7`.
- Added `--version` to print the neofetch version.
- The title at the top is now much more colorful.
- Supress `xprop` errors since it's now an optional dependency.
- Fix lint errors.
- Remove all instances of `! -z` since they're pointless.
- Quote all variable/command substitutions.
- Remove all `bc` usage by simplifying math.
- The prompt is now dynamically set in image mode instead of being anchored to the<br \>
bottom of the window. See [#279](https://github.com/dylanaraps/neofetch/pull/279) and [#299](https://github.com/dylanaraps/neofetch/pull/299) for examples.
- Removed `line_wrap` as having it set to `on` broke the output.
- Minor text fixes.
- Fix issue with incorrect text color when `barinfo` is set.


### OS

- Added support for Devuan Linux.
- Added support for GalliumOS.
- Added support for PacBSD. **[@vendion](https://github.com/vendion)**
- Added support for Solaris (Oracle / OpenIndiana). **[@konimex](https://github.com/konimex)**
- Added support for macOS Sierra. **[@iandrewt](https://github.com/iandrewt)**


### Terminal and Terminal Font

![img](https://ipfs.pics/ipfs/QmR39ScLi56Yt73pA3YWri9ayatN6mpwSTEmM8RVdeRsB1)

- Added `term` function to display current terminal emulator. \[1\]
- Added `termfont` function to display current terminal font. \[2\]


\[1\] Both of these functions are enabled by default.<br \>
\[2\] See this wiki page for more info about the functions: [Link](https://github.com/dylanaraps/neofetch/wiki/Terminal-and-Terminal-Font-detection)


### Info

- Use faster `$(())` syntax for index variables.

**Color Blocks**<br \>

- Added `--block_height` / `$block_height` to change the number of lines high each<br \>
block will be.

![Big Blocks](https://ipfs.pics/ipfs/QmZpR8ukZNfGXkhXjTwAy3eWVRCeHdrurhgAdV5CSiTVvR)


**Resolution**<br \>

- [Windows] Fix resolution on Windows 10. **[@dar-irl](https://github.com/dar-irl)**
- [Mac OS X] Hide refresh rate if `0`. **[@iandrewt](https://github.com/iandrewt)**
- Fixed `xrandr` output on systems not using gawk.
- [Linux / BSD] Shortened refresh rate output.


**Shell**<br \>

- Show `fish` shell version. **[@maddcoder](https://github.com/maddcoder)**


**Song**<br \>

- [Cmus] Prevent `tag artistsort` from showing up in song title. **[@williamkray](https://github.com/williamkray)**
- [Cmus] Fix order of music tags. **[@iandrewt](https://github.com/iandrewt)**
- [Cmus] The function now works on both OS X and Linux.
- [iTunes] Fix song not displaying. **[@iandrewt](https://github.com/iandrewt)**

**CPU Usage**<br \>

- Fixed broken CPU usage output on BSD and Windows
- Fixed misleading output on Linux / Mac OS X
- Moved CPU Usage to its own dedicated function


### Image

![terminology](https://ipfs.pics/ipfs/QmbVEUREBg4hMG22WrQ2bkt2sZZzyTEP5EEXmHRw7MHD6A)

- Added image support for terminology with `tycat`. **[@aranega](https://github.com/aranega)** \[1\]
- Fixed issues with lines getting drawn through images. See [#296](https://github.com/dylanaraps/neofetch/pull/296)
- Added `--crop_mode none` / `crop_mode=none` to disable cropping the images.
- Added `--size none` / `size=none` to disable resizing / cropping the images.
- Removed `image_position`
- `--image off` now behaves like the other image modes.


\[1\] `tycat` is a terminology builtin that works similarly to w3m-img. Those using terminology<br \>
now have working image support.


##### Shuffle mode

- Fixed directory going out of bounds causing a fallback to ascii mode. **[@gabe565](https://github.com/gabe565)**
- Simplified shuffle function.
- Path no longer requires a `/` at the end. **[@aranega](https://github.com/aranega)**


### Ascii

- Add `ascii_bold` which allows you to bold the ascii art.
- Custom ascii files (`--ascii path/to/ascii_file`) now follow the same format as the<br\>
distro ascii files. See this wiki page that explains the syntax. [Link](https://github.com/dylanaraps/neofetch/wiki/Custom-Ascii-art-file-format)
- Better `Ubuntu-GNOME` ascii art. **[@hashhar](https://github.com/hashhar)**
- Fix a color issue with Debian's ascii logo.
- Added `--ascii_distro mac` as a shorter way of using the OS X ascii.

